VARKON Version 1.15 1997-10-24

> ## cre_view - Procedure

> Creates a view
> Description
> Creates a new view either by a viewing position or by a coordinate system. This routine is mainly intended for 3D views but can also be used to create multiple planar views in a 2D job.
> Syntax
> cre_view(name, pos/ref)

> STRING | name*15;
> VECTOR | pos;
> REF | ref;

> Only one of the parameters pos or ref should be used.
> Principal parameters

> name | - The name of the view
> pos | - If pos is given it is treated as the viewing position where a person sits and looks into
> | X=Y=Z=0 of the basic coordinate system.
> ref | - If ref is given it is treated as the identity of a coordinate system whose Z-axis should be
> | used as the new viewing direction. In this case the view is rotated around Z so that X
> | becomes parallel with the X-axis of the screen (horisontal).

> Optional parameters

> None. |

> Examples
> cre_view("iso",vec(1,1,1));
> Creates an iso-view by the use of a position.
> cre_view("top", #5);
> Creates a view named "top" along the Z-axis of #5.
> Comments
> cre_view() automatically gives the new view the same scale factor and pan-status as the currently active view. In order to display the model properly in the new view the scale and center must also be set after the view is activated. An easier way is to use rep_view(1) which will perform an autozoom.

VARKON Homepage | Index